Update insight
PUT
/api/v1/insights/{id}
const url = 'https://example.com/api/v1/insights/example';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"title":"example","description":"example","category":"example","tags":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/insights/example \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "description": "example", "category": "example", "tags": [ "example" ] }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
title
string
description
string
category
string
tags
Array<string>
Responses
Section titled “ Responses ”Success
Media type application/json
object
_id
required
string
title
required
string
description
required
string
category
string
tags
Array<string>
upvotes
required
number
downvotes
required
number
blocked
required
boolean
referenceCount
required
number
createdBy
required
string
sourceReportId
string
createdAt
required
string | null format: date-time
updatedAt
string | null format: date-time
deletedAt
string | null format: date-time
projectId
required
string
Insight not found